        <footer class="site-footer">
            
            <?php // Hook: at the start of the footer
            rem_footer_begin(); ?>
            
            <?php // Upper footer section
            get_template_part('template-parts/footer/upper'); ?>
            
            <?php // Main footer widget section (up to 5 columns)
            get_template_part('template-parts/footer/main'); ?>
            
            <?php // Lower footer section
            get_template_part('template-parts/footer/lower'); ?> 
            
            <?php // Sub footer section
            get_template_part('template-parts/footer/sub'); ?> 
            
        	<?php // Hook: at the end of the footer
            rem_footer_end(); ?>
            
        </footer>
    
    <?php wp_footer(); ?>
    </body>
</html>